diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/brite/helper/brite-topology-helper.h ns-3.36/src/brite/helper/brite-topology-helper.h
--- ns-3.35/src/brite/helper/brite-topology-helper.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/brite/helper/brite-topology-helper.h	2022-04-30 18:23:57.782733200 -0700
@@ -44,6 +44,12 @@
 
 /**
  * \ingroup brite
+ * \ingroup tests
+ * \defgroup brite-tests BRITE module tests
+ */
+
+/**
+ * \ingroup brite
  * \brief Interface with BRITE, the Boston university Representative Internet
  *        Topology gEnerator
  *
@@ -73,7 +79,7 @@
   /**
    * Construct a BriteTopologyHelper using NS3 to generate seed values
    * need by BRITE
-   *
+   * \param confFile a BRITE configuration file
    */
   BriteTopologyHelper (std::string confFile);
 
@@ -134,60 +140,63 @@
    * Returns a given router node for a given AS
    *
    * \param asNum the AS number
+   * \param nodeNum the Node number
    * \return the specified node
    *
    */
   Ptr<Node> GetNodeForAs (uint32_t asNum, uint32_t nodeNum);
 
   /**
-    * Returns the number of AS created in the topology
-    *
-    * \returns the number of AS created in the topology
-    */
+   * Returns the number of AS created in the topology
+   *
+   * \returns the number of AS created in the topology
+   */
   uint32_t GetNAs (void) const;
 
   /**
-    * Returns the system number for the MPI instance that this AS is assigned to.  Will always return 0 if MPI not used
-    *
-    * \returns The system number that the specified AS number belongs to
-    *
-    * param asNum The AS Number
-    */
+   * Returns the system number for the MPI instance that this AS is assigned to.  Will always return 0 if MPI not used
+   *
+   * \returns The system number that the specified AS number belongs to
+   *
+   * \param asNum The AS Number
+   */
   uint32_t GetSystemNumberForAs (uint32_t asNum) const;
 
   /**
-    * \param address an Ipv4AddressHelper which is used to install
-    *                Ipv4 addresses on all the node interfaces in
-    *                the topology
-    */
+   * \param address an Ipv4AddressHelper which is used to install
+   *                IPv4 addresses on all the node interfaces in
+   *                the topology
+   */
   void AssignIpv4Addresses (Ipv4AddressHelper& address);
 
   /**
-    * \param network an IPv6 address representing the network portion
-    *                of the IPv6 Address
-    * \param prefix the prefix length
-    */
+   * \param address an Ipv6AddressHelper which is used to install
+   *                IPv6 addresses on all the node interfaces in
+   *                the topology
+   */
   void AssignIpv6Addresses (Ipv6AddressHelper& address);
 
   /**
-    * Returns the number of nodes created within
-    * the topology
-    *
-    * \returns the total number of nodes within the brite topology
-    */
+   * Returns the number of nodes created within
+   * the topology
+   *
+   * \returns the total number of nodes within the brite topology
+   */
   uint32_t GetNNodesTopology () const;
 
   /**
-    * Returns the number of edges created within
-    * the topology
-    *
-    * \returns the total number of edges within the brite topology
-    */
+   * Returns the number of edges created within
+   * the topology
+   *
+   * \returns the total number of edges within the brite topology
+   */
   uint32_t GetNEdgesTopology () const;
 
 private:
-  //brite values are unitless however all examples provided use mbps to specify rate
-  //this constant value is used to convert the mbps provided by brite to bps.
+  /**
+   * brite values are unitless however all examples provided use mbps to specify rate
+   * this constant value is used to convert the mbps provided by brite to bps.
+   */
   static const int mbpsToBps = 1000000;
 
   /**
@@ -199,13 +208,13 @@
    */
   struct BriteNodeInfo
   {
-    int nodeId;
-    double xCoordinate;
-    double yCoordinate;
-    int inDegree;
-    int outDegree;
-    int asId;
-    std::string type;
+    int nodeId;           //!< Node ID
+    double xCoordinate;   //!< X coordinate
+    double yCoordinate;   //!< Y coordinate
+    int inDegree;         //!< Ingress (IN) degree
+    int outDegree;        //!< Egress (OUT) degree
+    int asId;             //!< AS ID
+    std::string type;     //!< Node type
   };
 
   /**
@@ -217,23 +226,27 @@
    */
   struct BriteEdgeInfo
   {
-    int edgeId;
-    int srcId;
-    int destId;
-    double length;
-    double delay;
-    double bandwidth;
-    int asFrom;
-    int asTo;
-    std::string type;
+    int edgeId;         //!< Edge ID
+    int srcId;          //!< Src node ID
+    int destId;         //!< Dst node ID
+    double length;      //!< Length
+    double delay;       //!< Delay
+    double bandwidth;   //!< Bandwidth
+    int asFrom;         //!< Originating AS
+    int asTo;           //!< Destination AS
+    std::string type;   //!< Edge type
   };
 
-  //stores all of the nodes used in the BRITE generated topology
+  /// stores all of the nodes used in the BRITE generated topology
   NodeContainer m_nodes;
 
+  /// Build the Node Info list
   void BuildBriteNodeInfoList (void);
+  /// Build the Edge Info list
   void BuildBriteEdgeInfoList (void);
+  /// Construct the topology.
   void ConstructTopology (void);
+  /// Generate the BRITE topology.
   void GenerateBriteTopology (void);
 
   /// brite configuration file to use
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/brite/test/brite-test-topology.cc ns-3.36/src/brite/test/brite-test-topology.cc
--- ns-3.35/src/brite/test/brite-test-topology.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/brite/test/brite-test-topology.cc	2022-04-30 18:23:57.782733200 -0700
@@ -31,6 +31,14 @@
 
 using namespace ns3;
 
+/**
+ * \ingroup brite-tests
+ *
+ * \brief BRITE topology structure Test
+ * 
+ * Test that two brite topologies created with same seed value 
+ * produce same graph (not an exact test)
+ */
 class BriteTopologyStructureTestCase : public TestCase
 {
 public:
@@ -86,6 +94,13 @@
     }
 }
 
+/**
+ * \ingroup brite-tests
+ *
+ * \brief BRITE topology function Test
+ * 
+ * Test that packets can be send across a BRITE topology using UDP
+ */
 class BriteTopologyFunctionTestCase : public TestCase
 {
 public:
@@ -187,6 +202,11 @@
 
 }
 
+/**
+ * \ingroup brite-tests
+ *
+ * \brief BRITE TestSuite
+ */
 class BriteTestSuite : public TestSuite
 {
 public:
@@ -195,4 +215,7 @@
     AddTestCase (new BriteTopologyStructureTestCase, TestCase::QUICK);
     AddTestCase (new BriteTopologyFunctionTestCase, TestCase::QUICK);
   }
-} g_briteTestSuite;
+};
+
+ /// Static variable for test initialization
+static BriteTestSuite g_briteTestSuite;
